import { CoreModels__NS__CfontStyle } from 'tnp-core/lib-prod';
import { BaseCliWorkerTerminalUI, BaseWorkerTerminalActionReturnType } from 'tnp-helpers/lib-prod';
import { DevModeWorker } from './dev-mode.worker';
export declare class DevModeTerminalUI extends BaseCliWorkerTerminalUI<DevModeWorker> {
    protected showWorkerInfoScreen: boolean;
    protected headerText(): Promise<string>;
    textHeaderStyle(): CoreModels__NS__CfontStyle;
    getWorkerTerminalActions(options?: {
        exitIsOnlyReturn?: boolean;
        chooseAction?: boolean;
    }): BaseWorkerTerminalActionReturnType;
}
